commit:     242ea0fa3181b9ead4c03367cc124f6427f6d2e2
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 27 16:56:36 2017 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Fri Oct 27 16:57:11 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=242ea0fa

net-misc/wget: Bump to v1.19.2

Package-Manager: Portage-2.3.11, Repoman-2.3.3

 net-misc/wget/Manifest           |   1 +
 net-misc/wget/wget-1.19.2.ebuild | 107 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 108 insertions(+)

diff --git a/net-misc/wget/Manifest b/net-misc/wget/Manifest
index fb79385186c..b0bee83e879 100644
--- a/net-misc/wget/Manifest
+++ b/net-misc/wget/Manifest
@@ -1 +1,2 @@
 DIST wget-1.19.1.tar.xz 2111756 SHA256 
0c950b9671881222a4d385b013c9604e98a8025d1988529dfca0e93617744cd2 SHA512 
00864d225439bcb7c5af01d7ef19efa615427812d3320ab3f4c8f62c38191e837b1392397843f935d7dc5860a4d0ce89ee31f2730c4a729402f1f2bf3e5f64e5
 WHIRLPOOL 
2a4bd80f1e7134637227609f532ee3385472a6895ff22efeface42d082072a09abaa5dd2d8653bfdab015de801d31426b01d73ab5dd1a6864b84c29dc8e72462
+DIST wget-1.19.2.tar.gz 4349267 SHA256 
4f4a673b6d466efa50fbfba796bd84a46ae24e370fa562ede5b21ab53c11a920 SHA512 
a0f8afcc0767a8fd1acd64b1b1b27d177bc938e70cc3709c1b3faa6c1426ec926642cd8e49d292cec0268ee507683539b5152072110106de5a728a03efd8cedd
 WHIRLPOOL 
64398a8fc132a21d81d6fd7c97335739525fb8b31eca4aa4aa7048f251691c05ad1f004c36d6e633abf02d174ffefcb2176213e68fefb76bce505d247940af3a

diff --git a/net-misc/wget/wget-1.19.2.ebuild b/net-misc/wget/wget-1.19.2.ebuild
new file mode 100644
index 00000000000..454b396597e
--- /dev/null
+++ b/net-misc/wget/wget-1.19.2.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+inherit flag-o-matic python-any-r1 toolchain-funcs
+
+DESCRIPTION="Network utility to retrieve files from the WWW"
+HOMEPAGE="https://www.gnu.org/software/wget/";
+SRC_URI="mirror://gnu/wget/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux 
~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="debug gnutls idn ipv6 libressl nls ntlm pcre +ssl static test uuid zlib"
+REQUIRED_USE=" ntlm? ( !gnutls ssl ) gnutls? ( ssl )"
+
+# Force a newer libidn2 to avoid libunistring deps. #612498
+LIB_DEPEND="idn? ( >=net-dns/libidn2-0.14[static-libs(+)] )
+       pcre? ( dev-libs/libpcre[static-libs(+)] )
+       ssl? (
+               gnutls? ( net-libs/gnutls:0=[static-libs(+)] )
+               !gnutls? (
+                       !libressl? ( dev-libs/openssl:0=[static-libs(+)] )
+                       libressl? ( dev-libs/libressl[static-libs(+)] )
+               )
+       )
+       uuid? ( sys-apps/util-linux[static-libs(+)] )
+       zlib? ( sys-libs/zlib[static-libs(+)] )"
+RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
+DEPEND="${RDEPEND}
+       app-arch/xz-utils
+       virtual/pkgconfig
+       static? ( ${LIB_DEPEND} )
+       test? (
+               ${PYTHON_DEPS}
+               dev-lang/perl
+               dev-perl/HTTP-Daemon
+               dev-perl/HTTP-Message
+               dev-perl/IO-Socket-SSL
+       )
+       nls? ( sys-devel/gettext )"
+
+DOCS=( AUTHORS MAILING-LIST NEWS README doc/sample.wgetrc )
+
+pkg_setup() {
+       use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+       default
+
+       # revert some hack that breaks linking, bug #585924
+       if [[ ${CHOST} == *-darwin* ]] || [[ ${CHOST} == *-solaris* ]] || [[ 
${CHOST} == *-uclibc* ]]; then
+               sed -i \
+                       -e 's/^  LIBICONV=$/:/' \
+                       configure || die
+       fi
+}
+
+src_configure() {
+       # fix compilation on Solaris, we need filio.h for FIONBIO as used in
+       # the included gnutls -- force ioctl.h to include this header
+       [[ ${CHOST} == *-solaris* ]] && append-cppflags -DBSD_COMP=1
+
+       if use static ; then
+               append-ldflags -static
+               tc-export PKG_CONFIG
+               PKG_CONFIG+=" --static"
+       fi
+
+       # There is no flag that controls this.  libunistring-prefix only
+       # controls the search path (which is why we turn it off below).
+       # Further, libunistring is only needed w/older libidn2 installs,
+       # and since we force the latest, we can force off libunistring. #612498
+       ac_cv_libunistring=no \
+       econf \
+               --disable-assert \
+               --disable-rpath \
+               --without-included-libunistring \
+               --without-libunistring-prefix \
+               $(use_enable debug) \
+               $(use_enable idn iri) \
+               $(use_enable ipv6) \
+               $(use_enable nls) \
+               $(use_enable ntlm) \
+               $(use_enable pcre) \
+               $(use_enable ssl digest) \
+               $(use_enable ssl opie) \
+               $(use_with idn libidn) \
+               $(use_with ssl ssl $(usex gnutls gnutls openssl)) \
+               $(use_with uuid libuuid) \
+               $(use_with zlib)
+}
+
+src_install() {
+       default
+
+       sed -i \
+               -e "s:/usr/local/etc:${EPREFIX}/etc:g" \
+               "${ED}"/etc/wgetrc \
+               "${ED}"/usr/share/man/man1/wget.1 \
+               "${ED}"/usr/share/info/wget.info \
+               || die
+}

Reply via email to